
Redmine - Defect #27110

Changing the tracker to a tracker with the tracker field set to read-only won't work

2017-10-02 11:30 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.6   

Resolution: Fixed Affected version: 3.3.5

Description

When a tracker has the tracker field set to read-only in the workflow permissions, it is not possible to change to that tracker. When in

the issue edit form the tracker field is changed to the tracker with the tracker field set to read-only, the form is reloaded but without

the tracker field (as it is read-only). Submitting this form doesn't include the tracker, thus the tracker is not changed.

Additionally, when the issue edit form is reloaded again, for example for a status change, the form is reloaded to the original tracker

and changes in fields active in the target tracker but not active in the original tracker will be lost.

Associated revisions

Revision 17032 - 2017-11-26 03:20 - Go MAEDA

Fix: Changing the tracker to a tracker with the tracker field set to read-only won't work (#27110)

Patch by Felix Schäfer.

Revision 17033 - 2017-11-26 03:26 - Go MAEDA

Merged r17032 to 3.4-stable (#27110).

Revision 17034 - 2017-11-26 03:30 - Go MAEDA

Merged r17032 to 3.3-stable (#27110).

History

#1 - 2017-10-02 11:42 - Felix Schäfer

- File 27110.patch added

The attached patch will keep the tracker field in the form if the tracker field has been changed to avoid this problem.

#2 - 2017-10-17 05:43 - Go MAEDA

- Category set to Issues

- Target version set to 3.3.6

I confirmed the problem and the patch works fine for me.

Setting target version to 3.3.6.

#3 - 2017-11-26 03:33 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

- Affected version changed from 3.4.2 to 3.3.5

Committed in the trunk and merged to 3.4-stale and 3.3-stable.

Thank you for sharing the patch.

Files

27110.patch 717 Bytes 2017-10-02 Felix Schäfer
